> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create processor token

> The token is used by the processor to access the information on this account via a service provider. Depending on the service provider and/or processor, this token represents whatever token/code/key is needed to provide access.



## OpenAPI

````yaml /openapi/banklinking-20260203.json post /bank-linking/accounts/{financialAccountId}/processors/create-token
openapi: 3.1.0
info:
  title: BANK LINKING
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Financial Account Connect
  - name: Financial Account Transactions
  - name: Financial Accounts
  - name: Institutions
paths:
  /bank-linking/accounts/{financialAccountId}/processors/create-token:
    post:
      tags:
        - Accounts
      summary: Create processor token
      description: >-
        The token is used by the processor to access the information on this
        account via a service provider. Depending on the service provider and/or
        processor, this token represents whatever token/code/key is needed to
        provide access.
      operationId: bank-linking-accounts-create-processor-token
      parameters:
        - name: financialAccountId
          in: path
          description: Financial account id
          required: true
          schema:
            type: string
            default: ''
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FinancialAccountProcessorCreateTokenRequest'
            example:
              processor: ACHQ
        required: true
      responses:
        '201':
          description: Processor token is returned
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/FinancialAccountProcessorCreateTokenResponse
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '404':
          description: Financial account cannot be found
          content:
            '*/*':
              schema:
                additionalProperties:
                  default: ''
                default: ''
                allOf:
                  - $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FinancialAccountProcessorCreateTokenRequest:
      type: object
      properties:
        processor:
          type: string
          description: Processor which will have access to this account
          enum:
            - ACHQ
            - ADP_ROLL
            - ALLOY
            - ALPACA
            - APEX
            - ASTRA
            - ATOMIC
            - AYDEN
            - BAKKT
            - BOND
            - CHECK
            - CHECKBOOK
            - CHECKOUT
            - CIRCLE
            - DRIVEWEALTH
            - DWOLLA
            - FINIX
            - FORTRESS_TRUST
            - GALILEO
            - GEMINI
            - GUSTO
            - HIGHNOTE
            - I2C
            - KNOT
            - LITHIC
            - MARQETA
            - MODERN_TREASURY
            - MOOV
            - OCROLUS
            - PRIME_TRUST
            - RISKIFIED
            - RIZE
            - SARDINE
            - SILA_MONEY
            - SILICON_VALLEY_BANK
            - SOLID
            - STRIPE
            - TABA_PAY
            - TEAL
            - TREASURY_PRIME
            - UNIT
            - UTB
            - VESTA
            - VOPAY
            - WEPAY
            - WYRE
            - ZERO_HASH
        serviceProvider:
          type: string
          description: >-
            Service provider through which access to the account will be
            provided. If the account is only connected via one service provider,
            this field can be omitted and it will use that connected service
            provider.
          enum:
            - AKOYA
            - FINICITY
            - MX
            - PLAID
            - SALTEDGE
            - SALTEDGEPARTNERS
            - YODLEE
      required:
        - processor
    FinancialAccountProcessorCreateTokenResponse:
      type: object
      properties:
        processor:
          type: string
          description: Processor
          enum:
            - ACHQ
            - ADP_ROLL
            - ALLOY
            - ALPACA
            - APEX
            - ASTRA
            - ATOMIC
            - AYDEN
            - BAKKT
            - BOND
            - CHECK
            - CHECKBOOK
            - CHECKOUT
            - CIRCLE
            - DRIVEWEALTH
            - DWOLLA
            - FINIX
            - FORTRESS_TRUST
            - GALILEO
            - GEMINI
            - GUSTO
            - HIGHNOTE
            - I2C
            - KNOT
            - LITHIC
            - MARQETA
            - MODERN_TREASURY
            - MOOV
            - OCROLUS
            - PRIME_TRUST
            - RISKIFIED
            - RIZE
            - SARDINE
            - SILA_MONEY
            - SILICON_VALLEY_BANK
            - SOLID
            - STRIPE
            - TABA_PAY
            - TEAL
            - TREASURY_PRIME
            - UNIT
            - UTB
            - VESTA
            - VOPAY
            - WEPAY
            - WYRE
            - ZERO_HASH
        serviceProvider:
          type: string
          description: Service provider
          enum:
            - AKOYA
            - FINICITY
            - MX
            - PLAID
            - SALTEDGE
            - SALTEDGEPARTNERS
            - YODLEE
        token:
          type: string
          description: >-
            Token for the processor to connect with the service provider for
            this account
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        displayMessage:
          type: string
        errors:
          type: array
          items:
            type: string
        message:
          type: string
        requestId:
          type: string
        serviceProviderDetails:
          type: object
          additionalProperties: {}
        timestamp:
          type: string
          format: date-time
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````